﻿init:
    $ library.translations[u'Are you sure you want to quit?'] = u'本当に終了しますか？'
    $ library.translations[u'Yes'] = u'はい '
    $ library.translations[u'No'] = u'いいえ'
    $ library.translations[u'Display'] = u'表示'
    $ library.translations[u'Window'] = u'ウィンドゥ'
    $ library.translations[u'Fullscreen'] = u'フルスクリーン'
    image map ground = "map_ground.jpg"
    image map hover = "map_hover.jpg"
    image angel one = "angel1.jpg"
    image angel two = "angel2.jpg"
    image angel three = "angel4_1.jpg"

    image giant one = "giant1.jpg"
    image giant two = "giant2.jpg"
    image giant three = "giant4_0.jpg"

    image golem one = "golem1.jpg"
    image golem two = "golem2.jpg"
    image golem three = "golem3.jpg"
    image golem five = "golem5.jpg"
    image golem sixa = "golem6a.jpg"
    image golem sixb = "golem6b.jpg"
    image golem eight = "golem8.jpg"
    image golem nine = "golem9.jpg"
    image golem four = anim.TransitionAnimation(
        "golem4_0.jpg", 0.08, dissolve,
        "golem4_1.jpg", 0.08, dissolve,
        "golem4_2.jpg", 0.08, dissolve,
        "golem4_3.jpg", 0.08, dissolve,
        "golem4_4.jpg", 0.08, dissolve,
        "golem4_5.jpg", 0.08, dissolve,
        "golem4_6.jpg", 0.08, dissolve,
        "golem4_7.jpg", 0.08, dissolve
        )
    image golem seven = anim.TransitionAnimation(
        "golem7_0.jpg", 0.08, dissolve,
        "golem7_1.jpg", 0.08, dissolve,
        "golem7_2.jpg", 0.08, dissolve,
        "golem7_3.jpg", 0.08, dissolve,
        "golem7_4.jpg", 0.08, dissolve,
        "golem7_5.jpg", 0.08, dissolve,
        "golem7_6.jpg", 0.08, dissolve,
        "golem7_7.jpg", 0.08, dissolve
        )
    
    image magic one = "magic1.jpg"
    image magic two = "magic2.jpg"
    image magic threea = "magic3a.jpg"
    image magic threeb = "magic3b.jpg"
    image magic four = "magic4_3.jpg"

    image orcs one = "orcs1.jpg"
    image orcs two = "orcs2.jpg"
    image orcs three = "orcs4_3.jpg"

    image thief one = "thief1.jpg"
    image thief two = "thief2.jpg"
    image thief three = "thief3_6.jpg"
    $ fdissolve = Dissolve(0.25)
    $ sdissolve = Dissolve(1.5)
# The game starts here.
label start:
    scene map ground
    with dissolve
    if renpy.music.get_playing() != 'main_bgm.mp3':
        $ renpy.music.play('main_bgm.mp3', channel=7, fadein=0.5)
    $ renpy.music.set_volume(0.7, channel=7)
    $ renpy.music.stop(channel=1, fadeout=0.5) #music
    $ renpy.music.stop(channel=2, fadeout=0.5) #scene sounds
    $ renpy.music.stop(channel=3, fadeout=0.5) #ambient sounds
    $ renpy.music.stop(channel=4, fadeout=0.5) #other sounds
    $ renpy.block_rollback()
label map:
    $ renpy.block_rollback()
    $ result = renpy.imagemap("map_ground.jpg", "map_hover.jpg", [
        (150, 200, 265, 335, "map_magic"),
        (285, 220, 400, 340, "map_thief"), 
        (155, 380, 270, 505, "map_giant"),
        (625, 435, 750, 560, "map_golem"),
        (475, 170, 600, 290, "map_orcs"),
        (615, 40, 735, 155, "map_angel"),
        ], focus="imagemap")
    if result == "map_angel":
        "邪悪な尼侶が悪魔の呪文を完成させるには天使の精子が必要です。"
        menu:
            "進む":
                jump angelscene
            "戻る":
                jump map
                
    elif result == "map_giant":
        "村娘が森の巨人と親密なロマンスにはまっています。"
        menu:
            "進む":
                jump giantscene
            "戻る":
                jump map
                
    elif result == "map_golem":
        "魔女が岩ゴーレムを性の魔力によって蘇らせます。"
        menu:
            "進む":
                jump golemscene
            "戻る":
                jump map 
                
    elif result == "map_magic":
        "魔法ショップ。ここでは魔女が猫娘の弟子に新しく作った薬を試してみました。"
        menu:
            "進む":
                jump magicscene
            "戻る":
                jump map
                
    elif result == "map_orcs":
        "冒険者がオークの群れによって捕獲されました。"
        menu:
            "進む":
                jump orcscene
            "戻る":
                jump map
                
    elif result == "map_thief":
        "墓泥棒の女性が複数のグ－ルによって襲われてしまいました。"
        menu:
            "進む":
                jump thiefscene
            "戻る":
                jump map

label angelscene:
    $ renpy.block_rollback()
    show angel one
    $ renpy.music.stop(channel=7, fadeout=0.5)
    $ renpy.music.play('angel_bgm.mp3', channel=1, fadein=0.5)
    $ renpy.music.set_volume(0.4, channel=1)
    $ renpy.music.play('angel_amb.mp3', channel=3, fadein=0.5)
    $ renpy.music.set_volume(0.5, channel=3)
    $ renpy.music.set_volume(0.6, channel=2)
    with dissolve
    $ renpy.pause()

    show angel two
    $ renpy.music.play('angel0.mp3', channel=2, fadein=0.25, loop=False)
    with fdissolve
    $ renpy.pause()
    
    show angel three
    with fdissolve
    "お試しバージョンのみ。全てのアニメーションをご覧になるにはフルバージョンをご購入下さい。"
    $ renpy.pause()
   
    jump start

label giantscene:
    $ renpy.block_rollback()
    show giant one
    $ renpy.music.stop(channel=7, fadeout=0.5)
    $ renpy.music.play('giant_bgm.mp3', channel=1, fadein=0.5)
    $ renpy.music.set_volume(0.7, channel=1)
    $ renpy.music.play('giant_amb.mp3', channel=3, fadein=0.5)
    $ renpy.music.set_volume(1.0, channel=3)
    with dissolve
    $ renpy.pause()

    show giant two
    with fdissolve
    $ renpy.pause()
    
    show giant three
    with fdissolve
    "お試しバージョンのみ。全てのアニメーションをご覧になるにはフルバージョンをご購入下さい。"
    $ renpy.pause()
    
    jump start
    
label golemscene:
    $ renpy.block_rollback()
    show golem one
    $ renpy.music.stop(channel=7, fadeout=0.5)
    $ renpy.music.play('golem_bgm.mp3', channel=1, fadein=0.5)
    $ renpy.music.set_volume(0.5, channel=1)
    $ renpy.music.play('golem_amb.mp3', channel=3, fadein=0.5)
    $ renpy.music.set_volume(1.1, channel=3)
    with dissolve
    $ renpy.pause()
    
    show golem two
    with fdissolve
    $ renpy.pause()
    
    show golem three
    with fdissolve
    $ renpy.pause()
    
    show golem four
    $ renpy.music.set_volume(0.4, channel=1)
    $ renpy.music.set_volume(1.0, channel=2)
    $ renpy.music.play('golem1.mp3', channel=2, fadein=0.25)
    with fdissolve
    "お試しバージョンのみ。フルバージョンをご購入下さい。"
    $ renpy.pause()
    
    show golem five
    $ renpy.music.play('golem2.mp3', channel=2, fadein=0.5, loop=False)
    with dissolve
    "お試しバージョンのみ。フルバージョンをご購入下さい。"
    $ renpy.pause()
    
    show golem sixa
    $ renpy.music.set_volume(0.5, channel=1)
    with fdissolve
    $ renpy.music.play('golem3.mp3', channel=2, fadein=0.5, loop=False)
    $ renpy.pause(0.5)
    show golem sixb
    with fdissolve
    "お試しバージョンのみ。フルバージョンをご購入下さい。"
    $ renpy.pause()
    
    show golem seven
    $ renpy.music.play('golem4.mp3', channel=2, fadein=0.25)
    $ renpy.music.set_volume(0.4, channel=1)
    with fdissolve
    "お試しバージョンのみ。フルバージョンをご購入下さい。"
    $ renpy.pause()
    
    show golem eight
    $ renpy.music.play('golem5.mp3', channel=2, fadein=0.5, loop=False)
    with dissolve
    "お試しバージョンのみ。フルバージョンをご購入下さい。"
    $ renpy.pause()
    
    show golem nine
    $ renpy.music.set_volume(0.5, channel=1)
    $ renpy.music.stop(channel=2, fadeout=0.5)
    with dissolve
    "お試しバージョンのみ。フルバージョンをご購入下さい。"
    $ renpy.pause()
    
    jump start
    
label magicscene:
    $ renpy.block_rollback()
    show magic one
    $ renpy.music.stop(channel=7, fadeout=0.5)
    $ renpy.music.play('magic_bgm.mp3', channel=1, fadein=0.5)
    $ renpy.music.set_volume(0.5, channel=1)
    $ renpy.music.play('magic_amb.mp3', channel=3, fadein=0.5)
    $ renpy.music.set_volume(0.8, channel=3)
    with dissolve
    $ renpy.pause()

    show magic two
    $ renpy.music.set_volume(0.8, channel=2)
    $ renpy.music.play('magic0a.mp3', channel=2, fadein=0.25, loop=False)
    with fdissolve
    $ renpy.pause()
    
    show magic threea
    $ renpy.music.play('magic0b.mp3', channel=2, fadein=0.25, loop=False)
    with fdissolve
    $ renpy.pause(0.25)

    show magic threeb
    with sdissolve
    $ renpy.pause()

    show magic four
    with fdissolve
    "お試しバージョンのみ。全てのアニメーションをご覧になるにはフルバージョンをご購入下さい。"
    $ renpy.pause()
    
    jump start
    
label orcscene:
    $ renpy.block_rollback()
    show orcs one
    $ renpy.music.stop(channel=7, fadeout=0.5)
    $ renpy.music.play('orcs_bgm.mp3', channel=1, fadein=0.5)
    $ renpy.music.set_volume(0.5, channel=1)
    $ renpy.music.play('orcs_amb.mp3', channel=3, fadein=0.5)
    $ renpy.music.set_volume(1.1, channel=3)
    with dissolve
    $ renpy.pause()

    show orcs two
    $ renpy.music.play('orcs0.mp3', channel=2, fadein=0.2, loop=False)
    with fdissolve
    $ renpy.pause()
    
    show orcs three
    with fdissolve
    "お試しバージョンのみ。全てのアニメーションをご覧になるにはフルバージョンをご購入下さい。"
    $ renpy.pause()
   
    jump start
    
label thiefscene:
    $ renpy.block_rollback()
    show thief one
    $ renpy.music.stop(channel=7, fadeout=0.5)
    $ renpy.music.play('thief_bgm.mp3', channel=1, fadein=0.5)
    $ renpy.music.set_volume(0.5, channel=1)
    $ renpy.music.play('thief_amb.mp3', channel=3, fadein=0.5)
    $ renpy.music.set_volume(1.1, channel=3)
    with dissolve
    $ renpy.pause()

    show thief two
    $ renpy.music.set_volume(1.3, channel=2)
    $ renpy.music.play('thief0.mp3', channel=2, fadein=0.25, loop=False)
    with fdissolve
    $ renpy.pause()
    
    show thief three
    with fdissolve
    "お試しバージョンのみ。全てのアニメーションをご覧になるにはフルバージョンをご購入下さい。"
    $ renpy.pause()

    jump start